--[[
神兽保佑！菩萨包邮！佛祖包邮！真主阿拉包邮！代码无BUG！！！
创建作者：Administrator
创建时间：2015年1月23日21时18分8秒
感谢使用：更鸟游戏
]]
------------------------------------------
function 系统配置(t)
    t.title = "文件系统与截图 空格键 20150121"				-- 文本型	窗口标题
    t.window.width = 800			-- 数值型	宽度
    t.window.height = 600			-- 数值型	高度
    t.window.msaa = 0					-- 数值型	抗锯齿数
    t.window.vsync =			true		-- 逻辑型	垂直同步
    t.window.borderless = false		-- 逻辑型	无边框
    t.window.resizable =	false		-- 逻辑型	可调节大小
    t.window.highdpi =		false		-- 逻辑型	高清模式显示，土豪专用
    t.window.srgb =				true		-- 逻辑型	伽马修正
    t.window.fullscreen =	false		-- 逻辑型	全屏
    t.window.fullscreentype = "exclusive"	-- 文本型	全屏显示模式
		
    t.modules.joystick = 	false		-- 逻辑型	手柄
    t.modules.audio =			false		-- 逻辑型	音频
    t.modules.sound =			false		-- 逻辑型	声音流
    t.modules.physics =		false		-- 逻辑型	物理引擎
    t.modules.thread =		false		-- 逻辑型	线程系统
end
-----------头部可以intro，变量等----------



------------------------------------------
function 引擎创建()
	--置资源目录(取游戏路径())  --设置游戏目录，必有该语句！
	置资源目录(取调试目录().."Example/Win32/GameRes")
	--因为例程演示需要，设置演示资源目录，编译时务必手动更改游戏目录
	image = 创建图像("logo.png")

end
------------------------------------------

function 逻辑更新(dt)

end
------------------------------------------

function 画面显示()
	--居中显示图片
	绘制(image, (800-330)/2, (600-60)/2)

	--画一个半圆
	画圆弧( "fill", 100, 0, 100, 0, math.pi )
	
	--画一个有缺口的圆
	local pacwidth = math.pi / 6 -- size of his mouth
  画圆弧( "fill", 300, 100, 100, pacwidth, (math.pi * 2) - pacwidth )
	
	--画一个有缺口的全圆，最后一个参数是面，面越多越圆
	画圆圈("fill", 440, 70, 50, 100);
	
	--画一个多边形，三角形，fill表示填充，也可以传递table进去
	画多边形("fill", 100, 120, 200, 100, 150, 200)

	--画一个矩形
	画矩形("fill", 20, 250, 60, 120 )
end
------------------------------------------

function 键盘按下(key)
	
end
------------------------------------------

function 键盘放开(key)
	if key == "escape" then 事件停止() end
	
	if key ~= "space" then
		data= 创建截图()
    local size=data:getSize()
    data:encode( "aaaaaa.png", "png" ) --这样保存的没问题	
	
		local fileContent="5paw5bm05b+r5LmQ77yB" --base64新年快乐
    --这个文件名可以和写入时不同，个人感觉这个文件名参数多余
    local fileData=love.filesystem.newFileData(fileContent,"aaaa.txt","base64")
    local success = 写到文件("aaaabb.txt", fileData)
    print(tostring(success))
	end
end
------------------------------------------

function 鼠标按下(x,y,button)
	
end
------------------------------------------

function 鼠标放开(x,y,button)
	
end
------------------------------------------

function 鼠标移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 鼠标滚轮移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 窗口尺寸变化(w,h)
		
end
------------------------------------------

function 窗口获得焦点(f)
		
end
------------------------------------------

function 窗口鼠标进入(f)
		
end
------------------------------------------

function 窗口可视状态(v)
		
end
------------------------------------------

function 线程错误消息(thread,errorstr)
		
end
------------------------------------------

function 拖放得到目录(dir)

end
------------------------------------------

function 拖放得到文件(f)

end
------------------------------------------